Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.api.workflow.encoding
Interface MessageDeserializer

    public interface MessageDeserializer

Interface that must be implemented by edge flow message deserializers for messages should be automatically deserialized by the framework.

A deserializer is for a particular XML namespace and XML root element. When the edge flow framework receives XML that is to be deserialized, it looks up deserializers based on the namespace and root element of the XML.

Method Summary
`Object` | `deserialize(Document xmlDoc)` Deserializes given XML Document to the correct java object.
`Object` | `deserialize(Reader reader)` Reads XML from the given reader and deserializes to the correct java object.
`String` | `getNamespace()` Returns String for the XML namespace for the deserializer.
`String` | `getRootElementName()` Returns XML root element name for the deserializer.

Method Detail

### deserialize

    Object deserialize(Reader reader)
                       throws com.connecterra.ale.encoding.XMLDeserializerException,
                              IOException

  Reads XML from the given reader and deserializes to the correct java object.

  Parameters:
    `reader` - The reader from which the XML should be read.
  Returns:
    Result object from deserialization.
  Throws:
    `IOException` - If an IOException occurs trying to use the reader.
    `com.connecterra.ale.encoding.XMLDeserializerException` - If an error occurs while deserialization.
    `NullPointerException` - If the reader passed in is null.

### deserialize

    Object deserialize(Document xmlDoc)
                       throws com.connecterra.ale.encoding.XMLDeserializerException

  Deserializes given XML Document to the correct java object.

  Parameters:
    `xmlDoc` - org.w3c.dom.Document.
  Returns:
    Result object from deserialization.
  Throws:
    `com.connecterra.ale.encoding.XMLDeserializerException` - If an error occurs while deserialization.
    `NullPointerException` - If the XML document passed in is null.

### getNamespace

    String getNamespace()

  Returns String for the XML namespace for the deserializer.

  Returns:
    The XML namespace.

### getRootElementName

    String getRootElementName()

  Returns XML root element name for the deserializer.

  Returns:
    The XML root element name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD